<?php
include("stilos/config.inc.php");
include("../clases/BDConexion.php");
include("../clases/clsTdoc.php");
include("Funciones.php");
include("funcion/funciones.php");
  
$objDoc=new clsTdoc;
$claveE = $objDoc->DevolverEncriptado($clave);
$claveE =substr($claveE,0,20);
$esClave = $objDoc->EsLaClave($codarch,$claveE);
if ($enviado==1){
         if ($esClave==1){ $archivo = "procesos/cvp_bajando_archivo_regresa.php?arch=$arch";}
         		}
else{
  $archivo = "cvp_confidencial.php?enviado=1";
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>.:CONTROL DE DOCUMENTOS:.</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">
<link href="Estilos.css" rel="stylesheet" type="text/css">
<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE=javascript>
function fn(form,field)
{
var next=0, found=false
var f=form
if(event.keyCode!=13) return;
for(var i=0;i<f.length;i++) {
if(field.name==f.item(i).name){
next=i+1;
found=true
break;
}
}
while(found){
if( f.item(next).disabled==false && f.item(next).type!='hidden'){
f.item(next).focus();
break;
}
else{
if(next<f.length-1)
next=next+1;
else
break;
}
}
}
</SCRIPT>
<SCRIPT>
function Enviar()
{
	
	if (document.form1.clave.value =="" || document.form1.confirclave.value =="" )
                 {alert("La Clave esta Vacia \n debe escribir al menos una clave"); document.form1.clave.focus();return;}
	 if (document.form1.clave.value != document.form1.confirclave.value )
                 {
				 alert("Las Claves No Coinciden \n Vuelva a Escribirlas"); document.form1.clave.select(); document.form1.clave.focus(); document.form1.confirclave.value =""; return;
				 }

	form1.submit();
}
</SCRIPT>
<script language="javascript" type="text/javascript">
    function Regresar(){
	   window.location = "cvp_consulta_documentos.php?veces=1";
	                }
	function Mensaje(){
	   alert('El Archivo que esta Intentando Abrir es Privado\n Ingrese la Clave de Apertura Correcta...!!');
	}
</script>
<script> 
function centrar() { 
    iz=(screen.width-document.body.clientWidth) / 2; 
    de=(screen.height-document.body.clientHeight) / 2-50; 
    moveTo(iz,de); 
}     
</script>
</head>
<?php if($enviado!=1) { ?>
<body background="../imagenes/fondo.jpg" onLoad="Mensaje(); document.form1.clave.focus();">
<?php }else{
if ($enviado==1){?><body background="../imagenes/fondo.jpg" onLoad="Mensaje();document.form1.clave.focus();">
<? } } ?>
<table width="267" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr valign="top" >
    <td colspan="4">
    <div align="left" class="lblCampo"></div></td>
  </tr>
  <tr valign="top" >
    <td colspan="4">&nbsp;</td>
  </tr>
  <tr valign="top" >
    <td colspan="4">&nbsp;</td>
  </tr>
  <tr valign="top" >
    <td colspan="4">&nbsp;</td>
  </tr>
  <tr class="lblCampo" >
    <td colspan="4"><div align="center">
        <table width="400" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="25"><img src="../estilo_tabla/parte_sup_izq.gif" width="25" height="25"></td>
            <td width="409" background="../estilo_tabla/parte_sup_cen.gif" valign="bottom">
			<div align="left" class="lblTitulo" >Archivo Privado..Por Favor Escriba la Clave! </div>			</td>
            <td width="25"><img src="../estilo_tabla/parte_sup_der.gif" width="25" height="25"></td>
          </tr>
          <tr>
            <td width="25" background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
            <td width="409" height="86" background="../estilo_tabla/parte_med_cen.gif"><div align="center">
              
                <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
				<form name="form1" method="post" action="<?=$archivo?>">
                  <tr class="parrafo">
                    <td height="18" colspan="4" class="normal">&nbsp;</td>
                  </tr>
                  <tr class="parrafo">
                    <td width="32%" height="18" class="normal"><div align="left" class="lblCampo">
                      <div align="right">Clave</div>
                    </div></td>
                    <td width="4%" class="normal"><div align="left">:</div></td>
                    <td colspan="2">
                      <div align="left">
                        <input name="clave" type="password" class="lblForm1" id="login2" onkeyup=fn(this.form,this)>
                        <input type="hidden" name="codarch" value="<?=$codarch?>">
                        <input type="hidden" name="enviado" value="1">
                        <input type="hidden" name="arch" value="<?=$arch?>">
                      </div></td>
                  </tr>
                  <tr class="parrafo">
                    <td height="18" class="normal"><div align="left" class="lblCampo">
                      <div align="right">Confirma Clave</div>
                    </div></td>
                    <td height="18" class="normal"><div align="left">:</div></td>
                    <td colspan="2">
                      <div align="left">
                        <input name="confirclave" type="password" class="lblForm1" id="confirclave" onKeyUp=fn(this.form,this)>
                    </div></td>
                  </tr>
                  <tr class="parrafo">
                    <td height="18" colspan="2" class="normal">&nbsp;</td>
                    <td width="43%">
                      <div align="left">
					  
                        <input name="Button" type="button" value="Aceptar" style="<?=$stylo['st2']?>" class="botira" onClick="Enviar()" >
					
                      </div></td>
                    <td width="21%"><input name="Button2" type="button" value="Regresar" style="<?=$stylo['st2']?>" class="botira" onClick="Regresar()" ></td>
                  </tr>
				  </form>
                </table>
              
            </div></td>
            <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
          </tr>
          <tr>
            <td><img src="../estilo_tabla/parte_inf_izq.gif" width="25" height="25"></td>
            <td background="../estilo_tabla/parte_inf_cen.gif">&nbsp;</td>
            <td><img src="../estilo_tabla/parte_inf_der.gif" width="25" height="25"></td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr valign="top" class="lblCampo" >
    <td colspan="4">
      <div align="center"> </div></td>
  </tr>
</table>
</body>

</html>

